package gmt.protocol.ais.sensor;

public class Sensors {

	private int		sensorType;	//!<  4 bits  : sensor type
	private int		utcDay;     //!<  5 bits  : UTC Day
	private int		utcHour;    //!<  5 bits  : UTC Hour
	private int		utcMinute;  //!<  6 bits  : UTC Minute
	private int		utcSecond;  //!<  6 bits  : UTC Second
	private int		sequence;   //!< 10 bits  : Sensor sequence number
		
	public Sensors() {
		super();
	}
	
	public int sensorType() { return this.sensorType; }
	public int utcDay() { return this.utcDay; }
	public int utcHour() { return this.utcHour; }
	public int utcMinute() { return this.utcMinute; }
	public int utcSecond() { return this.utcSecond; }
	public int sequence() { return this.sequence; }
	
	public void setSensorType(int sensorType) {
		this.sensorType = sensorType;
	}
	public void setUtcDay(int utcDay) {
		this.utcDay = utcDay;
	}
	public void setUtcHour(int utcHour) {
		this.utcHour = utcHour;
	}
	public void setUtcMinute(int utcMinute) {
		this.utcMinute = utcMinute;
	}
	public void setUtcSecond(int utcSecond) {
		this.utcSecond = utcSecond;
	}
	public void setSequence(int sequence) {
		this.sequence = sequence;	
	}
}
